View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
17655Bug reportsErgonomypublic2022-07-05 12:27
ReporterDenisChenu Assigned ToDenisChenu  
PriorityurgentSeveritypartial_block 
Status closedResolutionfixed 
Product Version5.x 
Summary17655: Launch survey via token link : unclear icon
Description

The icon used to launch survey is an eyes. It's unclear and bnot the same than survey overview

Steps To Reproduce

Steps to reproduce

Create a survey
Activate
Activate toke
generate random token
Lokk

Expected result

More clear icon

Actual result

eyes : seems it's to view token

TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)5.1.14
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database type & versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2021-10-08 09:13

developer  

ollehar

ollehar

2021-10-08 11:05

administrator   ~66810

I've reported this to someone already... But yes, should be fixed. Should be "Run" icon, not preview icon.

DenisChenu

DenisChenu

2021-10-08 12:14

developer   ~66811

Last edited: 2021-10-08 17:13

I've reported this to someone already...

on mantis ?

DenisChenu

DenisChenu

2022-06-01 10:07

developer   ~70160

I've reported this to someone already... But yes, should be fixed. Should be "Run" icon, not preview icon.

Right : play now , like in global.
Lack of 'new window' part, but stack is harder for this

DenisChenu

DenisChenu

2022-06-01 10:11

developer   ~70162

Oh : 2 different icon : eye for preview (not active) play for launch.

c_schmitz

c_schmitz

2022-06-01 10:13

administrator   ~70163

Token launch is always live, so it should be the 'Play' icon.

DenisChenu

DenisChenu

2022-06-01 10:14

developer   ~70164

No : you can activate token table before activate survey.
And string must be different too (preview against launch), it's not a big deal.

DenisChenu

DenisChenu

2022-06-01 10:28

developer   ~70165

can you check ?
Else : i just move to play, but think it's clearer here.

I know there are more button (3 buttons for launch/preview) action now . But seems clearer for dev too ?

c_schmitz

c_schmitz

2022-06-01 10:36

administrator   ~70167

Right. ok, so please fix the string if it is inactive, and the icon to 'play' if the survey is active.

DenisChenu

DenisChenu

2022-06-01 10:38

developer   ~70168

Oupos …

Can you check : the pull request ;)
https://github.com/LimeSurvey/LimeSurvey/pull/2449

DenisChenu

DenisChenu

2022-06-01 10:39

developer   ~70169

(and the video)

DenisChenu

DenisChenu

2022-06-28 15:07

developer   ~70588

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33600

LimeBot

LimeBot

2022-07-05 12:27

administrator   ~70702

Fixed in Release 5.3.23+220705

Related Changesets

LimeSurvey: master 79df71db

2022-06-28 15:07:11

DenisChenu


Committer: GitHub Details Diff
Fixed issue 17655: Launch survey via token link : unclear icon (#2449)

Dev: Use same icon than global view, review string
Affected Issues
17655
mod - application/models/TokenDynamic.php Diff File

Issue History

Date Modified Username Field Change
2021-10-08 09:13 DenisChenu New Issue
2021-10-08 09:13 DenisChenu File Added: Capture d’écran du 2021-10-08 09-10-20.png
2021-10-08 09:13 DenisChenu File Added: Capture d’écran du 2021-10-08 09-12-07.png
2021-10-08 11:05 ollehar Note Added: 66810
2021-10-08 11:05 ollehar Bug heat 0 => 2
2021-10-08 11:33 ollehar Assigned To => ollehar
2021-10-08 11:33 ollehar Status new => confirmed
2021-10-08 11:33 ollehar Priority none => normal
2021-10-08 12:14 DenisChenu Note Added: 66811
2021-10-08 12:14 DenisChenu Bug heat 2 => 4
2021-10-08 17:13 galads Zoho Project Synchronization => |Yes|
2022-06-01 01:06 gabrieljenik Project Bug reports => Feature requests
2022-06-01 09:55 c_schmitz Project Feature requests => Bug reports
2022-06-01 09:55 c_schmitz Assigned To ollehar => DenisChenu
2022-06-01 09:55 c_schmitz Priority normal => urgent
2022-06-01 09:57 c_schmitz Severity minor => partial_block
2022-06-01 10:07 DenisChenu Note Added: 70160
2022-06-01 10:11 DenisChenu Note Added: 70162
2022-06-01 10:13 c_schmitz Note Added: 70163
2022-06-01 10:13 c_schmitz Bug heat 4 => 6
2022-06-01 10:14 DenisChenu Note Added: 70164
2022-06-01 10:28 DenisChenu Assigned To DenisChenu => c_schmitz
2022-06-01 10:28 DenisChenu Status confirmed => ready for code review
2022-06-01 10:28 DenisChenu Note Added: 70165
2022-06-01 10:36 c_schmitz Note Added: 70167
2022-06-01 10:37 c_schmitz Status ready for code review => assigned
2022-06-01 10:38 DenisChenu Note Added: 70168
2022-06-01 10:39 DenisChenu Note Added: 70169
2022-06-28 15:07 DenisChenu Changeset attached => LimeSurvey master 79df71db
2022-06-28 15:07 DenisChenu Note Added: 70588
2022-06-28 15:07 DenisChenu Assigned To c_schmitz => DenisChenu
2022-06-28 15:07 DenisChenu Resolution open => fixed
2022-06-28 15:07 c_schmitz Status assigned => resolved
2022-07-05 12:27 LimeBot Note Added: 70702
2022-07-05 12:27 LimeBot Status resolved => closed
2022-07-05 12:27 LimeBot Bug heat 6 => 8